Permalink
Browse files

Avoid scala version conflict in scalap induced by json4s dependency

  • Loading branch information...
Sean Owen
Sean Owen committed Feb 27, 2014
1 parent 1561cec commit 9240abd9e2870ef6ad6a3781d37087501e4aedd9
Showing with 12 additions and 0 deletions.
  1. +9 −0 core/pom.xml
  2. +3 −0 pom.xml
View
@@ -125,6 +125,15 @@
<groupId>org.json4s</groupId>
<artifactId>json4s-jackson_${scala.binary.version}</artifactId>
<version>3.2.6</version>
+ <!-- see also exclusion for lift-json; this is necessary since it depends on
+ scala-library and scalap 2.10.0, but we use 2.10.3, and only override
+ scala-library -->
+ <exclusions>
+ <exclusion>
+ <groupId>org.scala-lang</groupId>
+ <artifactId>scalap</artifactId>
+ </exclusion>
+ </exclusions>
</dependency>
<dependency>
<groupId>it.unimi.dsi</groupId>
View
@@ -310,6 +310,9 @@
<groupId>net.liftweb</groupId>
<artifactId>lift-json_${scala.binary.version}</artifactId>
<version>2.5.1</version>
+ <!-- see also exclusion for json4s; this is necessary since it depends on
+ scala-library and scalap 2.10.0, but we use 2.10.3, and only override
+ scala-library -->
<exclusions>
<exclusion>
<groupId>org.scala-lang</groupId>

0 comments on commit 9240abd

Please sign in to comment.